#ifndef SCHEMEEDITOR_GENERIC_DIALOG_H
#define SCHEMEEDITOR_GENERIC_DIALOG_H

#include <QDialog>
#include <QWidget>
#include <QPushButton>

namespace display {

    class GenericDialog: public QDialog {
    public:

        GenericDialog(std::string title, std::string action = "Ažuriraj");

    protected:
        void setOkButtonDisabled(bool disabled);
        virtual bool onUpdate() = 0;

    private:
        QPushButton *okButton;
        QPushButton *cancelButton;

    protected:
        QWidget *content;
    };

}

#endif //SCHEMEEDITOR_GENERIC_DIALOG_H
