#include <QVBoxLayout>
#include <QLabel>
#include "warning_dialog.h"

namespace display {

    WarningDialog::WarningDialog(domain::ValidationError error)
        : GenericDialog("Upozorenje", "U redu") {

        auto contentLayout = new QVBoxLayout();
        content->setLayout(contentLayout);

        contentLayout->addWidget(new QLabel(QString::fromStdString(error.message), this));
    }

} // display